$thumbnail-margin: 2px;
$icon-margin: 10px;

.shmdata-cell {
  display: flex;
  justify-content: center;
  position: relative;
  width: 100%;
  height: 100%;

  [class^="icon"] {
    opacity: 0.6;
  }

  .shmdata-cell-fix-margin {
    margin: 4px !important;
  }

  &:not(.disabled) [class^="icon"] {
    &:hover { opacity: 1; }
  }

  img {
    margin: $thumbnail-margin;
  }

  [class^="icon"] svg {
    * { fill: white; }
  }

  &.disabled {
    cursor: default !important;
  }

  &:hover,
  &.selected {
    cursor: pointer;
  }

  &.disabled,
  &.disabled:hover,
  &.disabled.selected {
    [class^="icon"] {
      cursor: default !important;
      background-image: unset !important;
    }
  }
}
